## kde-spectacle 6.6.1

=== debian/changelog ===
kde-spectacle (4:6.6.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.0)
  * Update build deps.
  * New upstream release (6.6.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Feb 2026 22:18:13 +0000

=== debian/control ===
Source: kde-spectacle
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.22.0~),
               gettext,
               kquickimageeditor-dev,
               libkcolorpicker-qt6-dev,
               libkf6config-dev (>= 6.22.0~),
               libkf6coreaddons-dev (>= 6.22.0~),
               libkf6crash-dev (>= 6.22.0~),
               libkf6dbusaddons-dev (>= 6.22.0~),
               libkf6doctools-dev (>= 6.22.0~),
               libkf6globalaccel-dev (>= 6.22.0~),
               libkf6guiaddons-dev (>= 6.22.0~),
               libkf6i18n-dev (>= 6.22.0~),
               libkf6kio-dev (>= 6.22.0~),
               libkf6notifications-dev (>= 6.22.0~),
               libkf6prison-dev (>= 6.22.0~),
               libkf6purpose-dev (>= 6.22.0~),
               libkf6statusnotifieritem-dev (>= 6.22.0~),
               libkf6widgetsaddons-dev (>= 6.22.0~),
               libkf6windowsystem-dev (>= 6.22.0~),
               libkf6xmlgui-dev (>= 6.22.0~),
               libkimageannotator-qt6-dev,
               libkirigami-dev (>= 6.22.0~),
               libkpipewire-dev (>= 6.6.1~),
               liblayershellqtinterface-dev (>= 6.6.1~),
               libopencv-core-dev,
               libopencv-dev,
               libopencv-imgproc-dev,
               libpipewire-0.3-dev,
               libwayland-dev,
               libx11-dev,
               libxcb-cursor-dev,
               libxcb-image0-dev,
               libxcb-randr0-dev,
               libxcb-util-dev,
               libxcb-xfixes0-dev,
               libzxing-dev,
               pkgconf,
               plasma-wayland-protocols,
               qt6-base-dev (>= 6.10.0~),
               qt6-base-dev-tools (>= 6.10.0~),
               qt6-base-private-dev (>= 6.10.0~),
               qt6-declarative-dev (>= 6.10.0~),
               qt6-declarative-private-dev (>= 6.10.0~),
               qt6-multimedia-dev (>= 6.10.0~),
               qt6-svg-dev (>= 6.10.0~),
               qt6-wayland-dev (>= 6.10.0~),
Standards-Version: 4.7.0
Homepage: https://apps.kde.org/en/spectacle
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/spectacle
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/spectacle
Rules-Requires-Root: no

Package: kde-spectacle
Section: graphics
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Screenshot capture utility
 Spectacle captures images of the screen. It can capture the whole screen,
 a specified region, an individual window, or only part of a window.

## kde-spectacle 6.6.2

=== debian/changelog ===
kde-spectacle (4:6.6.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Mar 2026 12:25:56 +0000

=== debian/control ===
--- 
+++ 
@@ -30,8 +30,8 @@
                libkf6xmlgui-dev (>= 6.22.0~),
                libkimageannotator-qt6-dev,
                libkirigami-dev (>= 6.22.0~),
-               libkpipewire-dev (>= 6.6.1~),
-               liblayershellqtinterface-dev (>= 6.6.1~),
+               libkpipewire-dev (>= 6.6.2~),
+               liblayershellqtinterface-dev (>= 6.6.2~),
                libopencv-core-dev,
                libopencv-dev,
                libopencv-imgproc-dev,

## kde-spectacle 15.12.3

=== CMakeLists.txt ===
# Spectacle project

project(Spectacle)

# KDE Application Version, managed by release script
set(KDE_APPLICATIONS_VERSION_MAJOR "15")
set(KDE_APPLICATIONS_VERSION_MINOR "12")
set(KDE_APPLICATIONS_VERSION_MICRO "3")
set(KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
set(SPECTACLE_VERSION ${KDE_APPLICATIONS_VERSION})

# minimum requirements

cmake_minimum_required (VERSION 2.8.12 FATAL_ERROR)
if (POLICY CMP0063)
   cmake_policy(SET CMP0063 NEW)
endif()

set(QT_MIN_VERSION     "5.4.0")
set(KF5_MIN_VERSION    "5.6.0")
set(PLASMA_MIN_VERSION "5.2.0")

find_package(ECM 1.2.0 REQUIRED NO_MODULE)
set(
    CMAKE_MODULE_PATH
        ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules
        ${CMAKE_MODULE_PATH}
        ${ECM_MODULE_PATH}
        ${ECM_KDE_MODULE_DIR}
)

# set up kf5

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(FeatureSummary)

find_package(
    Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED
        Core
        Widgets
        DBus
        PrintSupport
)

find_package(
    KF5 ${KF5_MIN_VERSION} REQUIRED
        CoreAddons
        WidgetsAddons
        DBusAddons
        Notifications
        Config
        I18n
        KIO
        XmlGui
        WindowSystem
        DocTools
)

# optional components

find_package(KF5Kipi)
if (KF5Kipi_FOUND)
    set(KIPI_FOUND 1)
endif ()

find_package(XCB COMPONENTS XFIXES IMAGE UTIL CURSOR)
if (XCB_FOUND)
    find_package(Qt5X11Extras ${QT_MIN_VERSION} REQUIRED)
    find_package(KF5Screen ${PLASMA_MIN_VERSION} REQUIRED)
endif()

# fail build if none of the platform backends can be found

if (!XCB_FOUND)
    message(FATAL_ERROR "No suitable backend platform was found. Currenty supported platforms are: XCB")
endif()

# hand off to subdirectories

add_subdirectory(src)
add_subdirectory(dbus)
add_subdirectory(desktop)
add_subdirectory(icons)
add_subdirectory(doc)

# summaries

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
# common - configure file and version definitions

configure_file(Config.h.in ${CMAKE_CURRENT_BINARY_DIR}/Config.h)

# target

set(
    SPECTACLE_SRCS_DEFAULT
        Main.cpp
        ExportManager.cpp
        SpectacleCore.cpp
        SpectacleDBusAdapter.cpp
        PlatformBackends/ImageGrabber.cpp
        PlatformBackends/DummyImageGrabber.cpp
        Gui/KSMainWindow.cpp
        Gui/KSWidget.cpp
        Gui/KSImageWidget.cpp
        Gui/KSSaveConfigDialog.cpp
        Gui/ExportMenu.cpp
        Gui/ScreenClipper.cpp
        Gui/SmartSpinBox.cpp
)

if(XCB_FOUND)
    set(
        SPECTACLE_SRCS_X11
            PlatformBackends/X11ImageGrabber.cpp
    )
endif()

if(KF5Kipi_FOUND)
    set(
        SPECTACLE_SRCS_KIPI
            KipiInterface/KSGKipiInterface.cpp
            KipiInterface/KSGKipiInfoShared.cpp
            KipiInterface/KSGKipiImageCollectionShared.cpp
            KipiInterface/KSGKipiImageCollectionSelector.cpp
    )
endif()

set(
    SPECTACLE_SRCS_ALL
        ${SPECTACLE_SRCS_DEFAULT}
        ${SPECTACLE_SRCS_KIPI}
        ${SPECTACLE_SRCS_X11}
)

add_executable(
    spectacle
        ${SPECTACLE_SRCS_ALL}
)

# link libraries

target_link_libraries(
    spectacle
        Qt5::DBus
        Qt5::PrintSupport
        KF5::CoreAddons
        KF5::DBusAddons
        KF5::WidgetsAddons
        KF5::Notifications
        KF5::ConfigCore
        KF5::I18n
        KF5::KIOWidgets
        KF5::WindowSystem
        KF5::XmlGui
)

if(XCB_FOUND)
    target_link_libraries(
        spectacle
            XCB::XFIXES
            XCB::IMAGE
            XCB::CURSOR
            XCB::UTIL
            Qt5::X11Extras
            KF5::Screen
    )
endif()

if(KF5Kipi_FOUND)
    target_link_libraries (
        spectacle
            KF5::Kipi
    )
endif()

install(TARGETS spectacle ${INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kde-spectacle (15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * Add new build dep libkipi. 
  * Add kubuntu_test_desktop_mime_fix.patch to test
    desktop-mime-but-no-exec-code fix for upstream. 
  * Adjust patch to comment rather than remove. 
  * Removing patch. Done with this. 
  * Add license text for LGPL-2 
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:11:32 -0700

kde-spectacle (15.12.1-1ubuntu1) xenial; urgency=medium

  * Merged with Debian
  * New upstream release
  * Merged again with Debian as package name changed to 
    kde-spectacle

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 10:35:09 +0100

=== debian/control ===
Source: kde-spectacle
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.12.0),
               kdoctools-dev (>= 5.6.0~),
               kio-dev (>= 5.6.0~),
               libkf5config-dev (>= 5.6.0~),
               libkf5coreaddons-dev (>= 5.6.0~),
               libkf5dbusaddons-dev (>= 5.6.0~),
               libkf5i18n-dev (>= 5.6.0~),
               libkf5kipi-dev (>= 15.12~),
               libkf5notifications-dev (>= 5.6.0~),
               libkf5screen-dev (>= 4:5.2.0~),
               libkf5widgetsaddons-dev (>= 5.6.0~),
               libkf5windowsystem-dev (>= 5.6.0~),
               libkf5xmlgui-dev (>= 5.6.0~),
               libqt5x11extras5-dev (>= 5.4.0~),
               pkg-kde-tools (>= 0.12),
               libxcb-cursor-dev,
               libxcb-image0-dev,
               libxcb-util0-dev,
               libxcb-xfixes0-dev,
               qtbase5-dev (>= 5.4.0~)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/kdegraphics/spectacle
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/spectacle.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/spectacle.git

Package: kde-spectacle
Section: graphics
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Screenshot capture utility, replaces KSnapshot
 Spectacle captures images of the screen. It can capture the whole screen,
 a specified region, an individual window, or only part of a window.

=== debian/watch ===
version=3

http://download.kde.org/stable/applications/([\d.]+)/src/spectacle-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/spectacle-([\d.]+).tar.xz

## kde-spectacle 16.04.3

=== debian/changelog ===
kde-spectacle (16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * Debian merge: No remaining changes. 
  * Fix merge. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * Bumping build deps
  * Adding new build dep qtdeclarative5-dev

  [ Scarlett Clark ]
  * Add a version to qtdeclarative dep. 
  * Fix merge again. 
  * Add missing depend to libkf5declarative. 
  * New upstream release. 

  [ Clive Johnston ]
  * New upstream release 16.04.2
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:39:10 +0200

kde-spectacle (15.12.3-0ubuntu2) yakkety; urgency=medium

  * No-change rebuild against libkf5screen7 

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 20 May 2016 13:22:07 +0000

=== debian/control ===
Source: kde-spectacle
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.24.0~),
               kdoctools-dev (>= 5.24.0~),
               kio-dev (>= 5.24.0~),
               libkf5config-dev (>= 5.24.0~),
               libkf5coreaddons-dev (>= 5.24.0~),
               libkf5dbusaddons-dev (>= 5.24.0~),
               libkf5declarative-dev (>= 5.24.0~),
               libkf5i18n-dev (>= 5.24.0~),
               libkf5kipi-dev (>= 16.04.3~),
               libkf5notifications-dev (>= 5.24.0~),
               libkf5screen-dev (>= 4:5.7.2~),
               libkf5widgetsaddons-dev (>= 5.24.0~),
               libkf5windowsystem-dev (>= 5.24.0~),
               libkf5xmlgui-dev (>= 5.24.0~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libxcb-cursor-dev,
               libxcb-image0-dev,
               libxcb-util0-dev,
               libxcb-xfixes0-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/kdegraphics/spectacle
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/spectacle
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/spectacle

Package: kde-spectacle
Section: graphics
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Screenshot capture utility, replaces KSnapshot
 Spectacle captures images of the screen. It can capture the whole screen,
 a specified region, an individual window, or only part of a window.

## kde-spectacle 16.08.3

=== debian/control ===
Source: kde-spectacle
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.18.0~),
               kdoctools-dev (>= 5.18.0~),
               kio-dev (>= 5.18.0~),
               libkf5config-dev (>= 5.18.0~),
               libkf5coreaddons-dev (>= 5.18.0~),
               libkf5dbusaddons-dev (>= 5.18.0~),
               libkf5declarative-dev (>= 5.18.0~),
               libkf5doctools-dev (>= 5.18.0~),
               libkf5i18n-dev (>= 5.18.0~),
               libkf5kio-dev (>= 5.18.0~),
               libkf5kipi-dev,
               libkf5notifications-dev (>= 5.18.0~),
               libkf5screen-dev (>= 4:5.4.0~),
               libkf5widgetsaddons-dev (>= 5.18.0~),
               libkf5windowsystem-dev (>= 5.18.0~),
               libkf5xmlgui-dev (>= 5.18.0~),
               libqt5x11extras5-dev (>= 5.4.0~),
               libxcb-cursor-dev,
               libxcb-image0-dev,
               libxcb-util0-dev,
               libxcb-xfixes0-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.4.0~),
               qtdeclarative5-dev (>= 5.4.0~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/kdegraphics/spectacle
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/spectacle.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/spectacle.git

Package: kde-spectacle
Section: graphics
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ksnapshot (<< 4:16.04.1-1)
Replaces: ksnapshot (<< 4:16.04.1-1)
Description: Screenshot capture utility, replaces KSnapshot
 Spectacle captures images of the screen. It can capture the whole screen,
 a specified region, an individual window, or only part of a window.

Package: ksnapshot
Section: oldlibs
Priority: extra
Architecture: all
Depends: kde-spectacle (>= ${source:Version}), ${misc:Depends}
Description: transitional package for kde-spectacle
 This transitional package allows one to migrate to kde-spectacle.
 .
 It can be safely removed after the installation.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

DEB_VERSION_UPSTREAM_REVISION := $(shell dpkg-parsechangelog | awk '/^Version: / { print $$2 }' | sed -e 's/^[0-9]*://')

override_dh_auto_install:
	$(overridden_command) --destdir=debian/kde-spectacle

override_dh_gencontrol:
	$(overridden_command) -pksnapshot -- -v4:$(DEB_VERSION_UPSTREAM_REVISION)
	$(overridden_command) --remaining-packages

=== debian/watch ===
version=3

http://download.kde.org/stable/applications/([\d.]+)/src/spectacle-([\d.]+).tar.xz

## kde-spectacle 16.12.3

=== debian/changelog ===
kde-spectacle (16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:27:40 +0000

kde-spectacle (16.12.1-0ubuntu2) zesty; urgency=medium

  * Do not build depend on optional 'purpose' development package until
    it's autopkgtests are fixed for zesty.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 31 Jan 2017 17:08:58 +0000

kde-spectacle (16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:16:18 +0000

=== debian/control ===
Source: kde-spectacle
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5declarative-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5kipi-dev (>= 16.12.3~),
               libkf5notifications-dev (>= 5.31.0~),
               libkf5screen-dev (>= 4:5.7.2~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libxcb-cursor-dev,
               libxcb-image0-dev,
               libxcb-util0-dev,
               libxcb-xfixes0-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/kdegraphics/spectacle
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/spectacle
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/spectacle

Package: kde-spectacle
Architecture: any
Section: graphics
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Screenshot capture utility, replaces KSnapshot
 Spectacle captures images of the screen. It can capture the whole screen,
 a specified region, an individual window, or only part of a window.

## kde-spectacle 17.04.3

=== debian/changelog ===
kde-spectacle (17.04.3-0ubuntu1) artful; urgency=medium

  [ Rik Mills ]
  * Add back build depend on purpose.

  [ José Manuel Santamaría Lema ]
  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:31:42 +0100

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,9 @@
                libkf5doctools-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
-               libkf5kipi-dev (>= 16.12.3~),
+               libkf5kipi-dev (>= 17.04.3~),
                libkf5notifications-dev (>= 5.31.0~),
+               libkf5purpose-dev,
                libkf5screen-dev (>= 4:5.7.2~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),
@@ -36,6 +37,8 @@
 Architecture: any
 Section: graphics
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Description: Screenshot capture utility, replaces KSnapshot
  Spectacle captures images of the screen. It can capture the whole screen,
  a specified region, an individual window, or only part of a window.

## kde-spectacle 17.12.3

=== CMakeLists.txt ===

# KDE Application Version, managed by release script
set(KDE_APPLICATIONS_VERSION_MAJOR "17")
set(KDE_APPLICATIONS_VERSION_MINOR "12")
set(KDE_APPLICATIONS_VERSION_MICRO "3")
set(KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
set(SPECTACLE_VERSION ${KDE_APPLICATIONS_VERSION})
# minimum requirements

cmake_minimum_required (VERSION 3.0 FATAL_ERROR)
# Spectacle project
project(Spectacle VERSION ${SPECTACLE_VERSION})

set(QT_MIN_VERSION     "5.4.0")
set(KF5_MIN_VERSION    "5.29.0")
set(PLASMA_MIN_VERSION "5.4.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(
    CMAKE_MODULE_PATH
        ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules
        ${CMAKE_MODULE_PATH}
        ${ECM_MODULE_PATH}
        ${ECM_KDE_MODULE_DIR}
)

# set up kf5

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(FeatureSummary)

find_package(
    Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED
        Core
        Concurrent
        Widgets
        DBus
        PrintSupport
        Quick
)

find_package(
    KF5 ${KF5_MIN_VERSION} REQUIRED
        CoreAddons
        WidgetsAddons
        DBusAddons
        Notifications
        Config
        I18n
        KIO
        XmlGui
        WindowSystem
        DocTools
        Declarative
)

# optional components

find_package(KF5Kipi)
if (KF5Kipi_FOUND)
    set(KIPI_FOUND 1)
endif ()

find_package(KDEExperimentalPurpose)
if (KDEExperimentalPurpose_FOUND)
    set(PURPOSE_FOUND 1)
endif()

find_package(XCB COMPONENTS XFIXES IMAGE UTIL CURSOR)
set(XCB_COMPONENTS_ERRORS FALSE)
if (XCB_FOUND)
	find_package(Qt5X11Extras ${QT_MIN_VERSION} REQUIRED)
endif()
set(XCB_COMPONENTS_FOUND TRUE)
if(NOT XCB_XFIXES_FOUND)
	set(XCB_COMPONENTS_ERRORS "${XCB_COMPONENTS_ERRORS} XCB-XFIXES ")
	set(XCB_COMPONENTS_FOUND FALSE)
endif()
if(NOT XCB_IMAGE_FOUND)
	set(XCB_COMPONENTS_ERRORS "${XCB_COMPONENTS_ERRORS} XCB-IMAGE ")
	set(XCB_COMPONENTS_FOUND FALSE)
endif()
if(NOT XCB_UTIL_FOUND)
	set(XCB_COMPONENTS_ERRORS "${XCB_COMPONENTS_ERRORS} XCB-UTIL ")
	set(XCB_COMPONENTS_FOUND FALSE)
endif()
if(NOT XCB_CURSOR_FOUND)
	set(XCB_COMPONENTS_ERRORS "${XCB_COMPONENTS_ERRORS} XCB-CURSOR ")
	set(XCB_COMPONENTS_FOUND FALSE)
endif()

# fail build if none of the platform backends can be found
if (NOT XCB_FOUND OR NOT XCB_COMPONENTS_FOUND)
    message(FATAL_ERROR "No suitable backend platform was found. Currenty supported platforms are: XCB Components Required: ${XCB_COMPONENTS_ERRORS}")
endif()

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    add_definitions("-Wno-mismatched-tags")
endif()

# hand off to subdirectories

add_subdirectory(src)
add_subdirectory(dbus)
add_subdirectory(desktop)
add_subdirectory(icons)
add_subdirectory(doc)

# summaries

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,7 @@
 # common - configure file and version definitions
 
 configure_file(Config.h.in ${CMAKE_CURRENT_BINARY_DIR}/Config.h)
+set(CMAKE_AUTORCC 1)
 
 # target
 
@@ -9,16 +10,22 @@
         Main.cpp
         ExportManager.cpp
         SpectacleCore.cpp
+        SpectacleConfig.cpp
         SpectacleDBusAdapter.cpp
         PlatformBackends/ImageGrabber.cpp
         PlatformBackends/DummyImageGrabber.cpp
+        PlatformBackends/KWinWaylandImageGrabber.cpp
         Gui/KSMainWindow.cpp
         Gui/KSWidget.cpp
         Gui/KSImageWidget.cpp
-        Gui/KSSaveConfigDialog.cpp
         Gui/ExportMenu.cpp
-        Gui/ScreenClipper.cpp
         Gui/SmartSpinBox.cpp
+        Gui/SettingsDialog/SettingsDialog.cpp
+        Gui/SettingsDialog/SettingsPage.cpp
+        Gui/SettingsDialog/SaveOptionsPage.cpp
+        Gui/SettingsDialog/GeneralOptionsPage.cpp
+        QuickEditor/QuickEditor.cpp
+        QuickEditor/QmlResources.qrc
 )
 
 if(XCB_FOUND)
@@ -54,8 +61,10 @@
 
 target_link_libraries(
     spectacle
+        Qt5::Concurrent
         Qt5::DBus
         Qt5::PrintSupport
+        Qt5::Quick
         KF5::CoreAddons
         KF5::DBusAddons
         KF5::WidgetsAddons
@@ -65,6 +74,7 @@
         KF5::KIOWidgets
         KF5::WindowSystem
         KF5::XmlGui
+        KF5::Declarative
 )
 
 if(XCB_FOUND)
@@ -75,7 +85,6 @@
             XCB::CURSOR
             XCB::UTIL
             Qt5::X11Extras
-            KF5::Screen
     )
 endif()
 
@@ -86,4 +95,11 @@
     )
 endif()
 
+if(KDEExperimentalPurpose_FOUND)
+    target_link_libraries (
+        spectacle
+            KDEExperimental::PurposeWidgets
+    )
+endif()
+
 install(TARGETS spectacle ${INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kde-spectacle (17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:34:46 +0000

kde-spectacle (17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 17:03:50 +0000

kde-spectacle (17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:14:19 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libkf5doctools-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
-               libkf5kipi-dev (>= 17.04.3~),
+               libkf5kipi-dev (>= 17.12.3~),
                libkf5notifications-dev (>= 5.31.0~),
                libkf5purpose-dev,
                libkf5screen-dev (>= 4:5.7.2~),

## kde-spectacle 18.04.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 
 # KDE Application Version, managed by release script
-set(KDE_APPLICATIONS_VERSION_MAJOR "17")
-set(KDE_APPLICATIONS_VERSION_MINOR "12")
-set(KDE_APPLICATIONS_VERSION_MICRO "3")
+set(KDE_APPLICATIONS_VERSION_MAJOR "18")
+set(KDE_APPLICATIONS_VERSION_MINOR "04")
+set(KDE_APPLICATIONS_VERSION_MICRO "0")
 set(KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
 set(SPECTACLE_VERSION ${KDE_APPLICATIONS_VERSION})
 # minimum requirements
@@ -11,7 +11,7 @@
 # Spectacle project
 project(Spectacle VERSION ${SPECTACLE_VERSION})
 
-set(QT_MIN_VERSION     "5.4.0")
+set(QT_MIN_VERSION     "5.6.0")
 set(KF5_MIN_VERSION    "5.29.0")
 set(PLASMA_MIN_VERSION "5.4.0")
 
@@ -56,7 +56,14 @@
         WindowSystem
         DocTools
         Declarative
+        NewStuff
 )
+
+add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
+add_definitions(-DQT_USE_QSTRINGBUILDER)
+add_definitions(-DQT_NO_CAST_FROM_ASCII)
+add_definitions(-DQT_NO_CAST_TO_ASCII)
+add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
 
 # optional components

=== debian/changelog ===
kde-spectacle (18.04.0-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 22 Jan 2021 11:30:54 +0800

=== debian/control ===
Source: kde-spectacle
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.29.0~),
               libkf5config-dev (>= 5.29.0~),
               libkf5coreaddons-dev (>= 5.29.0~),
               libkf5dbusaddons-dev (>= 5.29.0~),
               libkf5declarative-dev (>= 5.29.0~),
               libkf5doctools-dev (>= 5.29.0~),
               libkf5i18n-dev (>= 5.29.0~),
               libkf5kio-dev (>= 5.29.0~),
               libkf5kipi-dev,
               libkf5newstuff-dev (>= 5.29.0~),
               libkf5notifications-dev (>= 5.29.0~),
               libkf5purpose-dev (>= 5.44.0~),
               libkf5screen-dev (>= 4:5.4.0~),
               libkf5widgetsaddons-dev (>= 5.29.0~),
               libkf5windowsystem-dev (>= 5.29.0~),
               libkf5xmlgui-dev (>= 5.29.0~),
               libqt5x11extras5-dev (>= 5.4.0~),
               libxcb-cursor-dev,
               libxcb-image0-dev,
               libxcb-util0-dev,
               libxcb-xfixes0-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.0~),
               qtdeclarative5-dev (>= 5.6.0~),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kde/kdegraphics/spectacle
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/spectacle
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/spectacle.git

Package: kde-spectacle
Section: graphics
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ksnapshot (<< 4:16.04.1-1), ${kde-l10n:all}
Replaces: ksnapshot (<< 4:16.04.1-1), ${kde-l10n:all}
Description: Screenshot capture utility, replaces KSnapshot
 Spectacle captures images of the screen. It can capture the whole screen,
 a specified region, an individual window, or only part of a window.

Package: ksnapshot
Section: oldlibs
Architecture: all
Depends: kde-spectacle (>= ${source:Version}), ${misc:Depends}
Description: transitional package for kde-spectacle
 This transitional package allows one to migrate to kde-spectacle.
 .
 It can be safely removed after the installation.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/applications/([\d.]+)/src/spectacle-([\d.]+)\.tar\.xz

## kde-spectacle 18.04.3

=== debian/changelog ===
kde-spectacle (18.04.3-0ubuntu1) cosmic; urgency=medium

  * New build dep on libkf5newstuff-dev
  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:24:33 +0100

=== debian/control ===
Source: kde-spectacle
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5declarative-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5kipi-dev (>= 18.04.3~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5notifications-dev (>= 5.31.0~),
               libkf5purpose-dev,
               libkf5screen-dev (>= 4:5.7.2~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libxcb-cursor-dev,
               libxcb-image0-dev,
               libxcb-util0-dev,
               libxcb-xfixes0-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/kdegraphics/spectacle
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/spectacle
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/spectacle

Package: kde-spectacle
Architecture: any
Section: graphics
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: Screenshot capture utility, replaces KSnapshot
 Spectacle captures images of the screen. It can capture the whole screen,
 a specified region, an individual window, or only part of a window.

## kde-spectacle 18.12.3

=== debian/changelog ===
kde-spectacle (18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:36:10 +0000

kde-spectacle (18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:23:08 +0000

kde-spectacle (18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:16:22 +0000

kde-spectacle (18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:54:38 +0000

kde-spectacle (18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - We never had a ksnapshot transitional package, so no need to adopt the
      changes in d/control, d/rules, and debian/bin script for this now.
    - Keep our lintian-overrides.
    - Kubuntu Vcs fields.
    - Bumped build deps.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 13 Dec 2018 12:32:47 +0000

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 2.8.12~),
-               debhelper (>= 9),
+Build-Depends: cmake (>= 3.0~),
+               debhelper (>= 11~),
                extra-cmake-modules (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
                libkf5coreaddons-dev (>= 5.31.0~),
@@ -13,10 +13,10 @@
                libkf5doctools-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
-               libkf5kipi-dev (>= 18.04.3~),
+               libkf5kipi-dev (>= 4:18.12.3~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5notifications-dev (>= 5.31.0~),
-               libkf5purpose-dev,
+               libkf5purpose-dev (>= 5.44.0~),
                libkf5screen-dev (>= 4:5.7.2~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),
@@ -26,17 +26,18 @@
                libxcb-image0-dev,
                libxcb-util0-dev,
                libxcb-xfixes0-dev,
+               pkg-config,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.1~),
                qtdeclarative5-dev (>= 5.6.1~),
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/kde/kdegraphics/spectacle
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/spectacle
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/spectacle
 
 Package: kde-spectacle
+Section: graphics
 Architecture: any
-Section: graphics
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: ${kde-l10n:all}
 Replaces: ${kde-l10n:all}

## kde-spectacle 19.04.3

=== debian/changelog ===
kde-spectacle (19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:21:49 +0100

kde-spectacle (19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:17:41 +0100

kde-spectacle (19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 21:05:18 +0100

kde-spectacle (19.04.0-0ubuntu1) eoan; urgency=medium

  * Update lintian overrides.
  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:50:34 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libkf5doctools-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
-               libkf5kipi-dev (>= 4:18.12.3~),
+               libkf5kipi-dev (>= 4:19.04.3~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5notifications-dev (>= 5.31.0~),
                libkf5purpose-dev (>= 5.44.0~),

## kde-spectacle 19.12.3

=== CMakeLists.txt ===

# KDE Application Version, managed by release script
set(KDE_APPLICATIONS_VERSION_MAJOR "19")
set(KDE_APPLICATIONS_VERSION_MINOR "12")
set(KDE_APPLICATIONS_VERSION_MICRO "3")
set(KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
set(SPECTACLE_VERSION ${KDE_APPLICATIONS_VERSION})
# minimum requirements

cmake_minimum_required (VERSION 3.5 FATAL_ERROR)
# Spectacle project
project(Spectacle VERSION ${SPECTACLE_VERSION})

set(QT_MIN_VERSION     "5.10.0")
set(KF5_MIN_VERSION    "5.56.0")
set(PLASMA_MIN_VERSION "5.12.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(
    CMAKE_MODULE_PATH
        ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules
        ${CMAKE_MODULE_PATH}
        ${ECM_MODULE_PATH}
)

# require c++14

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

# set up kf5

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(FeatureSummary)
include(ECMQtDeclareLoggingCategory)
include(ECMAddTests)

add_definitions(-DQT_NO_URL_CAST_FROM_STRING -DQT_NO_CAST_FROM_ASCII -DQT_NO_FOREACH)
if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x060000)
endif()

find_package(
    Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED
        Core
        Widgets
        DBus
        PrintSupport
        Test
)

find_package(
    KF5 ${KF5_MIN_VERSION} REQUIRED
        CoreAddons
        WidgetsAddons
        DBusAddons
        Notifications
        Config
        I18n
        KIO
        WindowSystem
        DocTools
        NewStuff
        GlobalAccel
        XmlGui
        Wayland
)

# optional components

find_package(KF5Kipi)
if (KF5Kipi_FOUND)
    set(KIPI_FOUND 1)
endif ()

find_package(KF5Purpose)
if (KF5Purpose_FOUND)
    set(PURPOSE_FOUND 1)
endif()

find_package(XCB COMPONENTS XFIXES IMAGE UTIL CURSOR)
set(XCB_COMPONENTS_ERRORS FALSE)
if (XCB_FOUND)
	find_package(Qt5X11Extras ${QT_MIN_VERSION} REQUIRED)
endif()
set(XCB_COMPONENTS_FOUND TRUE)
if(NOT XCB_XFIXES_FOUND)
	set(XCB_COMPONENTS_ERRORS "${XCB_COMPONENTS_ERRORS} XCB-XFIXES ")
	set(XCB_COMPONENTS_FOUND FALSE)
endif()
if(NOT XCB_IMAGE_FOUND)
	set(XCB_COMPONENTS_ERRORS "${XCB_COMPONENTS_ERRORS} XCB-IMAGE ")
	set(XCB_COMPONENTS_FOUND FALSE)
endif()
if(NOT XCB_UTIL_FOUND)
	set(XCB_COMPONENTS_ERRORS "${XCB_COMPONENTS_ERRORS} XCB-UTIL ")
	set(XCB_COMPONENTS_FOUND FALSE)
endif()
if(NOT XCB_CURSOR_FOUND)
	set(XCB_COMPONENTS_ERRORS "${XCB_COMPONENTS_ERRORS} XCB-CURSOR ")
	set(XCB_COMPONENTS_FOUND FALSE)
endif()

# fail build if none of the platform backends can be found
if (NOT XCB_FOUND OR NOT XCB_COMPONENTS_FOUND)
    message(FATAL_ERROR "No suitable backend platform was found. Currently supported platforms are: XCB Components Required: ${XCB_COMPONENTS_ERRORS}")
endif()

# hand off to subdirectories

add_subdirectory(src)
add_subdirectory(dbus)
add_subdirectory(desktop)
add_subdirectory(icons)
add_subdirectory(doc)
add_subdirectory(tests)

if (${ECM_VERSION} STRGREATER "5.58.0")
    install(FILES spectacle.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
else()
    install(FILES spectacle.categories  DESTINATION ${KDE_INSTALL_CONFDIR})
endif()
# summaries

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== dbus/CMakeLists.txt ===
# install the DBus service and interface files in the correct place

configure_file(org.kde.Spectacle.service.in ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Spectacle.service)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Spectacle.service DESTINATION ${DBUS_SERVICES_INSTALL_DIR})
install(FILES org.kde.Spectacle.xml DESTINATION ${DBUS_INTERFACES_INSTALL_DIR})

=== src/CMakeLists.txt ===
# common - configure file and version definitions

configure_file(Config.h.in ${CMAKE_CURRENT_BINARY_DIR}/Config.h)
set(CMAKE_AUTORCC 1)

# target

if(XCB_FOUND)
    set(
        SPECTACLE_SRCS_PLATFORM_XCB
            Platforms/PlatformXcb.cpp
    )
endif()

set(
    SPECTACLE_SRCS_PLATFORM
        Platforms/PlatformLoader.cpp
        Platforms/Platform.cpp
        Platforms/PlatformNull.cpp
        Platforms/PlatformKWinWayland.cpp
        ${SPECTACLE_SRCS_PLATFORM_XCB}
)

set(
    SPECTACLE_SRCS_DEFAULT
        Main.cpp
        ExportManager.cpp
        SpectacleCore.cpp
        SpectacleConfig.cpp
        SpectacleDBusAdapter.cpp
        ${SPECTACLE_SRCS_PLATFORM}
        Gui/KSMainWindow.cpp
        Gui/KSWidget.cpp
        Gui/KSImageWidget.cpp
        Gui/ExportMenu.cpp
        Gui/ProgressButton.cpp
        Gui/SmartSpinBox.cpp
        Gui/SettingsDialog/SettingsDialog.cpp
        Gui/SettingsDialog/SettingsPage.cpp
        Gui/SettingsDialog/SaveOptionsPage.cpp
        Gui/SettingsDialog/GeneralOptionsPage.cpp
        Gui/SettingsDialog/ShortcutsOptionsPage.cpp
        QuickEditor/QuickEditor.cpp
)

ecm_qt_declare_logging_category(SPECTACLE_SRCS_DEFAULT HEADER spectacle_core_debug.h IDENTIFIER SPECTACLE_CORE_LOG CATEGORY_NAME org.kde.spectacle.core)
ecm_qt_declare_logging_category(SPECTACLE_SRCS_DEFAULT HEADER spectacle_gui_debug.h IDENTIFIER SPECTACLE_GUI_LOG CATEGORY_NAME org.kde.spectacle.gui)

if(KIPI_FOUND)
    set(
        SPECTACLE_SRCS_KIPI
            KipiInterface/KSGKipiInterface.cpp
            KipiInterface/KSGKipiInfoShared.cpp
            KipiInterface/KSGKipiImageCollectionShared.cpp
            KipiInterface/KSGKipiImageCollectionSelector.cpp
    )
endif()

set(
    SPECTACLE_SRCS_ALL
        ${SPECTACLE_SRCS_DEFAULT}
        ${SPECTACLE_SRCS_KIPI}
)

add_executable(
    spectacle
        ${SPECTACLE_SRCS_ALL}
)

# link libraries

target_link_libraries(
    spectacle
        Qt5::DBus
        Qt5::PrintSupport
        KF5::CoreAddons
        KF5::DBusAddons
        KF5::WidgetsAddons
        KF5::Notifications
        KF5::ConfigCore
        KF5::I18n
        KF5::KIOWidgets
        KF5::WindowSystem
        KF5::NewStuff
        KF5::GlobalAccel
        KF5::XmlGui
        KF5::WaylandClient
)

if(XCB_FOUND)
    target_link_libraries(
        spectacle
            XCB::XFIXES
            XCB::IMAGE
            XCB::CURSOR
            XCB::UTIL
            Qt5::X11Extras
    )
endif()

if(KIPI_FOUND)
    target_link_libraries (
        spectacle
            KF5::Kipi
    )
endif()

if(PURPOSE_FOUND)
    target_link_libraries (
        spectacle
            KF5::PurposeWidgets
    )
endif()

install(TARGETS spectacle ${INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kde-spectacle (19.12.3-1ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Bumped apps build deps.
    - Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Mar 2020 07:49:23 +0000

kde-spectacle (19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:18:55 +0000

kde-spectacle (19.12.2-0ubuntu1) focal; urgency=medium

  * debian/patches: Drop included upstream_tests-make-sure-testNumbering-
    works.patch
  * New upstream release (19.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:27:37 +0000

kde-spectacle (19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 15:02:04 +0000

=== debian/control ===
Source: kde-spectacle
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.56.0~),
               gettext,
               libkf5config-dev (>= 5.56.0~),
               libkf5coreaddons-dev (>= 5.56.0~),
               libkf5dbusaddons-dev (>= 5.56.0~),
               libkf5declarative-dev (>= 5.29.0~),
               libkf5doctools-dev (>= 5.56.0~),
               libkf5globalaccel-dev (>= 5.56.0~),
               libkf5i18n-dev (>= 5.56.0~),
               libkf5kio-dev (>= 5.56.0~),
               libkf5kipi-dev (>= 4:19.12.3~),
               libkf5newstuff-dev (>= 5.56.0~),
               libkf5notifications-dev (>= 5.56.0~),
               libkf5purpose-dev (>= 5.56.0~),
               libkf5screen-dev (>= 4:5.4.0~),
               libkf5wayland-dev (>= 4:5.4.0~),
               libkf5widgetsaddons-dev (>= 5.56.0~),
               libkf5windowsystem-dev (>= 5.56.0~),
               libkf5xmlgui-dev (>= 5.56.0~),
               libqt5x11extras5-dev (>= 5.10.0~),
               libxcb-cursor-dev,
               libxcb-image0-dev,
               libxcb-util0-dev,
               libxcb-xfixes0-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qdbus-qt5 (>= 5.10.0~),
               qtbase5-dev (>= 5.10.0~),
               qtdeclarative5-dev (>= 5.10.0~),
Standards-Version: 4.5.0
Homepage: https://projects.kde.org/projects/kde/kdegraphics/spectacle
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/spectacle
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/spectacle
Rules-Requires-Root: no

Package: kde-spectacle
Section: graphics
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Screenshot capture utility
 Spectacle captures images of the screen. It can capture the whole screen,
 a specified region, an individual window, or only part of a window.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with=kf5

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	export HOME="$(CURDIR)/debian/home"; \
	    mkdir -p "$$HOME"; \
	    trap EXIT rm -rf "$$HOME"; \
	    dh_auto_test
endif
